package com.fdkankan.ucenter.service;

import com.fdkankan.ucenter.entity.CameraDetail;
import com.fdkankan.ucenter.entity.ExceedSpaceScene;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fdkankan.ucenter.entity.UserIncrement;

import java.util.List;

/**
 * <p>
 * 超出容量场景码表 服务类
 * </p>
 *
 * @author 
 * @since 2023-06-30
 */
public interface IExceedSpaceSceneService extends IService<ExceedSpaceScene> {

    void recoveredSpaceByCameraId(Long cameraId);

    void recoveredSpaceByCameraId(CameraDetail cameraDetail,UserIncrement userIncrement);

    List<ExceedSpaceScene> getExByCameraId(Long cameraId);

    ExceedSpaceScene getByUnicode(String unicode);
}
